# Import Twilio number (/docs/api-reference/phone-numbers/importTwilioNumber)

> Import an existing Twilio number by providing your Twilio credentials.



**POST** `/phone_number/import/twilio`

Import an existing Twilio number by providing your Twilio credentials.

```yaml
operationId: importTwilioNumber
requestBody:
  required: true
  content:
    application/json:
      schema:
        type: object
        required:
          - phone_number
          - account_sid
          - account_token
        properties:
          phone_number:
            type: string
            description: Phone number in E.164 format (starting with `+`).
            example: '+12025550123'
          account_sid:
            type: string
            description: Your Twilio account SID.
          account_token:
            type: string
            description: Your Twilio auth token.
          name:
            type: string
            description: Optional friendly name for the imported number.
responses:
  '200':
    description: Twilio number imported.
    content:
      application/json:
        schema:
          type: object
          properties:
            success:
              type: boolean
            message:
              type: string
            id:
              type: integer
              description: ID of the newly imported phone number record. Use this with `/phone_number/attach`.
        example:
          success: true
          message: Number added successfully
          id: 3360
```

**Python SDK**

```python
import os
from omnidimension import Client

# Initialize the client
api_key = os.environ.get('OMNIDIM_API_KEY')
client = Client(api_key)

# Import an existing Twilio number
response = client.phone_number.import_twilio_number(
    phone_number="+1234567890",
    account_sid="AC1234567890abcdef1234567890abcdef",
    account_token="your_twilio_auth_token",
    name="My Twilio Number"  # Optional
)
print(response)
```

**curl**

```bash
curl -X POST "https://backend.omnidim.io/api/v1/phone_number/import/twilio" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
